cascading.flow.tez.stream.element

## Class TezBoundaryStage

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>
    - - cascading.flow.stream.element.BoundaryStage<cascading.tuple.TupleEntry,cascading.tuple.TupleEntry>
      - - cascading.flow.tez.stream.element.TezBoundaryStage

- All Implemented Interfaces:
    cascading.flow.stream.element.ElementDuct, cascading.flow.stream.element.InputSource

      public class TezBoundaryStage
      extends cascading.flow.stream.element.BoundaryStage<cascading.tuple.TupleEntry,cascading.tuple.TupleEntry>
      implements cascading.flow.stream.element.InputSource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.tez.runtime.api.LogicalInput` | `logicalInput`
    `protected Collection<org.apache.tez.runtime.api.LogicalOutput>` | `logicalOutputs`

    - ### Fields inherited from class cascading.flow.stream.element.BoundaryStage

      `boundary, flowProcess, incomingScopes, outgoingScopes, role`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TezBoundaryStage(cascading.flow.FlowProcess flowProcess, cascading.pipe.Boundary boundary, cascading.flow.stream.graph.IORole role, Collection<org.apache.tez.runtime.api.LogicalOutput> logicalOutputs)`
    `TezBoundaryStage(cascading.flow.FlowProcess flowProcess, cascading.pipe.Boundary boundary, cascading.flow.stream.graph.IORole role, org.apache.tez.runtime.api.LogicalInput logicalInput)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bind(cascading.flow.stream.graph.StreamGraph streamGraph)`
    `void` | `complete(cascading.flow.stream.duct.Duct previous)`
    `protected OutputCollector` | `createOutputCollector()`
    `void` | `initialize()`
    `protected Throwable` | `map()`
    `void` | `prepare()`
    `void` | `receive(cascading.flow.stream.duct.Duct previous, int ordinal, cascading.tuple.TupleEntry incomingEntry)`
    `void` | `run(Object input)`
    `void` | `start(cascading.flow.stream.duct.Duct previous)`

    - ### Methods inherited from class cascading.flow.stream.element.BoundaryStage

      `getBoundary, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingScopes, handleException, handleReThrowableException, hasTrapHandler, setBranchNames, setTrapHandler`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `cleanup, getNext, getNextFor, receiveFirst, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### logicalOutputs

          protected Collection<org.apache.tez.runtime.api.LogicalOutput> logicalOutputs

    - #### logicalInput

          protected org.apache.tez.runtime.api.LogicalInput logicalInput

  - ### Constructor Detail

    - #### TezBoundaryStage

          public TezBoundaryStage(cascading.flow.FlowProcess flowProcess,
                                  cascading.pipe.Boundary boundary,
                                  cascading.flow.stream.graph.IORole role,
                                  Collection<org.apache.tez.runtime.api.LogicalOutput> logicalOutputs)

    - #### TezBoundaryStage

          public TezBoundaryStage(cascading.flow.FlowProcess flowProcess,
                                  cascading.pipe.Boundary boundary,
                                  cascading.flow.stream.graph.IORole role,
                                  org.apache.tez.runtime.api.LogicalInput logicalInput)

  - ### Method Detail

    - #### initialize

          public void initialize()

      Overrides:
        `initialize` in class `cascading.flow.stream.element.BoundaryStage<cascading.tuple.TupleEntry,cascading.tuple.TupleEntry>`

    - #### bind

          public void bind(cascading.flow.stream.graph.StreamGraph streamGraph)

      Overrides:
        `bind` in class `cascading.flow.stream.duct.Duct<cascading.tuple.TupleEntry,cascading.tuple.TupleEntry>`

    - #### prepare

          public void prepare()

      Overrides:
        `prepare` in class `cascading.flow.stream.duct.Duct<cascading.tuple.TupleEntry,cascading.tuple.TupleEntry>`

    - #### start

          public void start(cascading.flow.stream.duct.Duct previous)

      Overrides:
        `start` in class `cascading.flow.stream.duct.Duct<cascading.tuple.TupleEntry,cascading.tuple.TupleEntry>`

    - #### receive

          public void receive(cascading.flow.stream.duct.Duct previous,
                              int ordinal,
                              cascading.tuple.TupleEntry incomingEntry)

      Overrides:
        `receive` in class `cascading.flow.stream.duct.Stage<cascading.tuple.TupleEntry,cascading.tuple.TupleEntry>`

    - #### complete

          public void complete(cascading.flow.stream.duct.Duct previous)

      Overrides:
        `complete` in class `cascading.flow.stream.duct.Duct<cascading.tuple.TupleEntry,cascading.tuple.TupleEntry>`

    - #### run

          public void run(Object input)
                   throws Throwable

      Specified by:
        `run` in interface `cascading.flow.stream.element.InputSource`
      Throws:
        `Throwable`

    - #### map

          protected Throwable map()
                           throws Exception

      Throws:
        `Exception`

    - #### createOutputCollector

          protected OutputCollector createOutputCollector()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.